#include <frostbite2D/graphics/renderer.h>
#include <frostbite2D/scene/ui_scene.h>

namespace frostbite2D {

UIScene::UIScene() {
  Renderer& renderer = Renderer::get();
  camera_.setViewport(renderer.getUIVirtualWidth(), renderer.getUIVirtualHeight());
  camera_.setFlipY(true);
  camera_.setZoom(1.0f);
  camera_.setPosition(Vec2::Zero());
}

} // namespace frostbite2D
